Help for DFInfo
 Help for DFInfo Controls

Disk Properties	File Properties

Registration Information

Order Form

Getting Custom Controls Written

Description

DFInfo is a Visual Basic custom control that gives convenient access to disk and file information.  VB programmers are able to read and modify miscellaneous information about files (date, time, size, etc.).  Information about the computer's drives is available through another set of properties.

File Name

DFINFO2.VBX

Object Type

FileInfo

DiskInfo

Compatibility

VB 2.0 and up

Distribution Note     When you develop and distribute an application that uses DFInfo, you should install the file DFINFO2.VBX into the users Windows SYSTEM directory.  DFInfo has version information built into it.  So, during installation, you should ensure that you are not overwriting a newer version of DFInfo.


Disk Properties
Disk Control Properties

ClusterSize Property

DefaultDrive Property

Disk Property

FreeClusters Property

FreeSpace Property

Network Property

NumFloppies Property

SectorSize Property

SerialNumber Property

StartupDrive Property

TotalClusters Property

TotalSpace Property

VolumeName Property


K property; disk$ File Properties
File Control Properties

FileDate Property

Filename Property

FileTime Property

IsArchived Property

IsHidden Property

IsReadOnly Property

IsSystem Property

Size Property


K property; file$ FileDate Property
FileDate Property

See Also

Description

Reads or set the date of the selected file.

Usage

[form.][dfinfo.]FileDate[ = date$]

Remarks

This property represents the date of the file sepecified by Filename.  This property is kept in the VB Date$ format (see your VB manuals for more information).  For example,  June 23, 1994 would be "06-23-1994".

When this property is set, the date of the file is changed.

This property is readable and writable at run-time only.

Data Type

String


See Also

Properties:

Filename

FileTime

Size


Filename Property

See Also

Description

Determines the file that DFInfo reads/modifies.

Usage

[form.][dfinfo.]Filename[ = name$]

Remarks

This is the first property that you should set when dealing with files.  Set it to the name (and path, if needed) of the file.  If the file exists, all of the other properties will be set with the current information.  If not, Size will be set to -1.

This property is readable and writable at run-time only.

Data Type

String


See Also

Properties:

FileDate

FileTime

IsArchived

IsHidden

IsReadOnly

IsSystem

Size


FileTime Property

See Also

Description

Reads or set the time of the selected file.

Usage

[form.][dfinfo.]FileTime[ = time$]

Remarks

This property represents the date of the file sepecified by Filename.  This property is kept in the VB Time$ format (see your VB manuals for more information).  For example,  4:15pm would be "16:15:00".

When this property is set, the time of the file is changed.

This property is readable and writable at run-time only.

Data Type

String


See Also

Properties:

FileDate

Filename

Size


IsArchived Property

See Also

Description

Reads, sets or clears the file's archive bit.

Usage

[form.][dfinfo.]IsArchived[ = bool]

Remarks

This property determines the archive bit of the file sepecified by Filename.  When this property is set, the archive bit of the file is changed to reflect the new value.

This property is readable and writable at run-time only.

Data Type

Boolean


See Also

Properties:

Filename

IsHidden

IsReadOnly

IsSystem


IsHidden Property

See Also

Description

Reads, sets or clears the file's hidden bit.

Usage

[form.][dfinfo.]IsHidden[ = bool]

Remarks

This property determines the hidden bit of the file sepecified by Filename.  When this property is set, the hidden bit of the file is changed to reflect the new value.

This property is readable and writable at run-time only.

Data Type

Boolean


See Also

Properties:

Filename

IsArchived

IsReadOnly

IsSystem


IsReadOnly Property

See Also

Description

Reads, sets or clears the file's read-only bit.

Usage

[form.][dfinfo.]IsReadOnly[ = bool]

Remarks

This property determines the archive bit of the file sepecified by Filename.  When this property is set, the read-only bit of the file is changed to reflect the new value.

This property is readable and writable at run-time only.

Data Type

Boolean


See Also

Properties:

Filename

IsArchived

IsHidden

IsSystem


IsSystem Property

See Also

Description

Reads, sets or clears the file's system bit.

Usage

[form.][dfinfo.]IsSystem[ = bool]

Remarks

This property determines the archive bit of the file sepecified by Filename.  When this property is set, the system bit of the file is changed to reflect the new value.

This property is readable and writable at run-time only.

Data Type

Boolean


See Also

Properties:

Filename

IsArchived

IsHidden

IsReadOnly


Size Property

See Also

Description

Reads or set the file's size.

Usage

[form.][dfinfo.]Size[ = size&]

Remarks

This property reads or sets the size of the file sepecified by Filename.  When this property is set, the size of the file is changed to reflect the new value.

This property is readable and writable at run-time only.

Data Type

Long


See Also

Properties:

FileDate

Filename

FileTime


ClusterSize Property

See Also

Description

Number of sectors per cluster.

Usage

[form.][dfinfo.]ClusterSize[ = size&]

Remarks

This is the number of sectors in each cluster on the drive specified by the Disk property.  This property is read-only at run-time only.

Data Type

Long


See Also

Properties:

FreeClusters

FreeSpace

SectorSize

TotalClusters

TotalSpace


DefaultDrive Property

See Also

Description

Drive letter of the current default drive.

Usage

[form.][dfinfo.]DefaultDrive[ =drive$]

Remarks

This is the drive letter of current default drive.  Setting this property changes the default drive to the drive letter specified.  This property is read/write at run-time only.

Data Type

String


See Also

Properties:

Disk

SerialNumber

VolumeName


Disk Property

See Also

Description

Drive letter of the disk to examine.

Usage

[form.][dfinfo.]Disk[ =drive$]

Remarks

This is the drive letter of drive to examine with the other properties (i.e., ClusterSize, FreeSpace, VolumeName, etc.).  This property is read/write at run-time only.

Data Type

String


See Also

Properties:

DefaultDrive

SerialNumber

VolumeName


FreeClusters Property

See Also

Description

Number of free clusters.

Usage

[form.][dfinfo.]FreeClusters[ = num&]

Remarks

This is the number of free clusters available on the drive specified by the Disk property.  This property is read-only at run-time only.

Data Type

Long


See Also

Properties:

ClusterSize

FreeSpace

SectorSize

TotalClusters

TotalSpace


FreeSpace Property

See Also

Description

Number of free bytes.

Usage

[form.][dfinfo.]FreeSpace[ = num&]

Remarks

This is the number of free bytes available on the drive specified by the Disk property.  This property is read-only at run-time only.

Data Type

Long


See Also

Properties:

ClusterSize

FreeClusters

SectorSize

TotalClusters

TotalSpace


Network Property

Description

Flag determining whether or not drive is local or on a network.

Usage

[form.][dfinfo.]Network[ = bool]

Remarks

If this property is True the drive, specified by the Disk property, is a network drive.  Otherwise, this drive is local.  This property is read-only at run-time only.

Data Type

Integer (boolean)


NumFloppies Property

See Also

Description

Number of floppy drives in the system.

Usage

[form.][dfinfo.]NumFloppies[ = num%]

Remarks

This property tells the number of floppy drives in this computer.  This property is read-only at run-time only.

Data Type

Integer


See Also

Properties:

StartupDrive


SectorSize Property

See Also

Description

Number of bytes in a sector.

Usage

[form.][dfinfo.]SectorSize[ = size&]

Remarks

This is the number of bytes per sector on the drive specified by the Disk property.  This property is read-only at run-time only.

Data Type

Long


See Also

Properties:

ClusterSize

FreeClusters

FreeSpace

TotalClusters

TotalSpace


SerialNumber Property

See Also

Description

Media ID/serial numberof the drive.

Usage

[form.][dfinfo.]SerialNumber

Remarks

This is the serial number of the drive specified by the Disk property.  This property is read only at run-time only.

Data Type

String


See Also

Properties:

DefaultDrive

Disk

VolumeName


StartupDrive Property

See Also

Description

Drive letter of the start-up (boot) drive.

Usage

[form.][dfinfo.]StartupDrive[ =drive$]

Remarks

This is the drive letter of the drive DOS booted from.  This property is read-only at run-time only.

Data Type

String


See Also

Properties:

NumFloppies


TotalClusters Property

See Also

Description

Total number of clusters on the drive.

Usage

[form.][dfinfo.]TotalClusters[ = num&]

Remarks

This is the total number of clusters on the drive specified by the Disk property.  This property is read-only at run-time only.

Data Type

Long


See Also

Properties:

ClusterSize

FreeClusters

FreeSpace

SectorSize

TotalSpace


TotalSpace Property

See Also

Description

Total number of bytes on the drive.

Usage

[form.][dfinfo.]TotalSpace[ = size&]

Remarks

This is the total number of bytes on the drive specified by the Disk property.  This property is read-only at run-time only.

Data Type

Long


See Also

Properties:

ClusterSize

FreeClusters

FreeSpace

SectorSize

TotalClusters


VolumeName Property

See Also

Description

Volume name of the drive.

Usage

[form.][dfinfo.]VolumeName[ = vol$]

Remarks

This is the volume name of the drive specified by the Disk property.  When this property is set, the volume name of the drive is changed.  This property is read/write at run-time only.

Data Type

String


See Also

Properties:

DefaultDrive

Disk

SerialNumber


About DFInfo

Credits

DFInfo was written by James Shields.  Inquiries can be sent to 71231,2066 on CompuServe, or mabry@halcyon.com on Internet.  Our mailing the address is:

Mabry Software, Inc.

Post Office Box 31926

Seattle, WA  98103-1926

Registration

You can register this program by sending $15 ($20 for international orders) and your address.  You can register DFInfo and its C source code by sending $35 ($40 for international orders).  With your order, you will receive a copy of our manual documenting all of our controls.

For your convenience, an order form has been provided that you can print out directly from this help file.

E-mail Discount

You may take a $5 discount for e-mail delivery of this package (CompuServe or Internet).  If you choose this option, please note: a printed manual is not included.  Be sure to include your full mailing address with your order.  Sometimes (on the Internet) the package cannot be e-mailed.  So, we are forced to send it through the normal mails.

CompuServe members may also take the $5 e-mail discount by registering this package in the software registration forum (GO SWREG).  DFInfos SWREG ID number is 1069.  The source code version's ID number is 1070.

Credit Card Orders

We accept VISA and Mastercard.  If you e-mail your order to us, please be sure to include your card number, expiration date, complete mailing address, and your phone number (in case we have any questions about your order).

© Copyright 1993-1995 by Mabry Software, Inc.


Order Form
 DFInfo Order Form

Use the Print Topic.. command from the File menu to print this order form.

Mail this	Mabry Software, Inc.

form to:	Post Office Box 31926

Seattle, WA  98103-1926

Phone: 206-634-1443

Fax: 206-632-0272

BBS: WinDev BBS 206-634-0783

CompuServe: 71231,2066

Internet: mabry@halcyon.com

Where did you get this copy of DFInfo?

____________________________________________________________________

Ship to:	____________________________________________________________________

____________________________________________________________________

____________________________________________________________________

____________________________________________________________________

____________________________________________________________________

Phone:	_________________________________________________________________

Fax:	_________________________________________________________________

E-Mail:	_________________________________________________________________

MC/VISA:	_________________________________________ exp. ___________________

Disk Size:	(circle one)	 3½	5¼

qty ordered	____	REGISTRATION

$15 each, postpaid (check or money order in hard currency). Outside of North America add $5.00 shipping.

qty ordered	____	SOURCE CODE AND REGISTRATION

$35 each, postpaid (check or money order in hard currency). Outside of North America add $5.00 shipping.


Getting Custom Controls Written

If you or your organization would like to have custom controls written, you can contact me at the following:

James Shields

Mabry Software, Inc.

Post Office Box 31926

Seattle, WA  98103-1926

Phone: 206-634-1443

Fax: 206-632-0272

BBS: WinDev BBS 206-634-0783

CompuServe: 71231,2066

Internet: mabry@halcyon.com

You can also contact Zane Thomas.  He can be reached at:

Zane Thomas

Post Office Box 300

Indianola, WA  98342

CompuServe: 72060,3327